### Function

# Dex file_make_directory_with_parents

since: 1.0

#### Declaration [src]

    DexFuture*
    dex_file_make_directory_with_parents (
      GFile* file
    )

#### Description [src]

Creates a directory at `file`.

If `file` already exists and is a directory, then the future will resolve to `TRUE`.

Available since: 1.0

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a boolean or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.